org.eclipse.emf.cdo.view

## Class CDODirtyStateAdapter

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDODirtyStateAdapter

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public abstract class CDODirtyStateAdapter
      extends java.lang.Object
      implements IListener

  A `listener` that calls the `onDirtyStateChanged(boolean)` method when the `dirty` state of the `view` this listener is `registered` with has changed.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDODirtyStateAdapter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyEvent(IEvent event)`
    `protected void` | `notifyOtherEvent(IEvent event)`
    `protected abstract void` | `onDirtyStateChanged(boolean dirty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDODirtyStateAdapter

          public CDODirtyStateAdapter()

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### notifyOtherEvent

          protected void notifyOtherEvent(IEvent event)

    - #### onDirtyStateChanged

          protected abstract void onDirtyStateChanged(boolean dirty)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html